Bug 247602 - [ppc Pegasos] Broken Installer because of libata
[ppc Pegasos] Broken Installer because of libata
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 06:08 EDT by Matthias Münch
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 15:20:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pegasos libata fix ripped from SuSe kernel 2.6.22.3-7 (2.74 KB, patch)
2007-08-23 03:38 EDT, Marcin Kurek
no flags Details | Diff
Keyboard detection patch again ripped from SuSe 2.6.22.3-7 (1.42 KB, patch)
2007-08-23 03:44 EDT, Marcin Kurek
no flags Details | Diff

  None (edit)
Description Matthias Münch 2007-07-10 06:08:51 EDT
Description of problem:

It seems that Fedora is changed to use libata, just as most recent
distributions. 'pata_via', the libata version of the VIA IDE driver, which is
needed for PegasosPPC, is pretty much broken. The old, working version from FC6
is not included. This practically means, that not even the CD is seen by the
installer, once it's booted. Its impossible to install F7. 

Version-Release number of selected component (if applicable):


How reproducible:

Just boot and try to install - it will always fail.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcin Kurek 2007-07-17 11:00:27 EDT
Yes it's true. libata problem was discussed PowerDeveloper forum some time ago
(http://www.powerdeveloper.org/forums/viewtopic.php?t=1302&postdays=0&postorder=asc&start=0)
and it's reported on kernel bugzilla
(http://bugzilla.kernel.org/show_bug.cgi?id=8649)

As a final conclusion for now it seems to be a libata flaw. IMHO it was bad idea
to remove old IDE drivers from Fedora 7 as PegasosPPC is not only one machine
which has problems with libata drivers. Why not include both and give a
possibility for user to use old one ?

Anyway I wonder is there any solution to install F7 on Pegasos ?
Comment 2 Marcin Kurek 2007-08-19 16:30:49 EDT
OK, a possible sollution is present in
http://bugzilla.kernel.org/show_bug.cgi?id=8649

Works just fine here.
Comment 3 Matthias Münch 2007-08-20 04:10:11 EDT
I don't care, I am no longer interested in Linux at all.
Comment 4 Marcin Kurek 2007-08-20 15:19:48 EDT
He ? Can anyone explain to me why it was closed ? Fedora 7 installer doesn't
work on pegasos because libata and fix was published in
http://bugzilla.kernel.org/show_bug.cgi?id=8649 then what INSUFFICIENT_DATA
means in this case ?
Comment 5 Chuck Ebbert 2007-08-20 15:52:52 EDT
(In reply to comment #4)
> He ? Can anyone explain to me why it was closed ? Fedora 7 installer doesn't
> work on pegasos because libata and fix was published in
> http://bugzilla.kernel.org/show_bug.cgi?id=8649 then what INSUFFICIENT_DATA
> means in this case ?

The original reporter said "I am no longer interested in Linux at all."

So there isn't a tester for any fixes. If the patch gets into 2.6.23 it will be
fixed in Fedora 8, though.
Comment 6 Marcin Kurek 2007-08-21 03:45:42 EDT
I have two pegasos machines here and to be honest I would be quite happy to test
any solution that allows me to install FC7 on any of them.
Comment 7 Chuck Ebbert 2007-08-22 13:44:03 EDT
We can build kernels with test patches, but how do you build a new boot and/or
install image to do the install?
Comment 8 Marcin Kurek 2007-08-23 03:28:54 EDT
I already installed F7 yesterday using NFS, installation fails at the end on
"Configuring bootloader" phase (Kernel oops), but sustem seems to be just fine.
I think inclusion both patches in to fedora kernel wont harm anyone and at last
will make possible to use F7 on pegasos normaly (System still can be installed
using NFS, hard drive or upgraded from FC6)

If someone can build a kernel for me I will be happy to test it. I am a bit
afraid to build it myself as it will take ages on this machine :(
Comment 9 Marcin Kurek 2007-08-23 03:35:42 EDT
It seems SuSe already include a bit more recent version of patch in factory
(attached) With simplify-PCI-legacy-SFF-host-handling (Only for 2.6.22 as it
seems to be included in .23 alreadfy) this should fix libata for pegasos.
Comment 10 Marcin Kurek 2007-08-23 03:38:43 EDT
Created attachment 167747 [details]
pegasos libata fix ripped from SuSe kernel 2.6.22.3-7
Comment 11 Marcin Kurek 2007-08-23 03:42:42 EDT
I know this should propably goes to separate bug report, but it's a tiny thing.

There is at last one more problem with pegasos. Current kernel does not detect
i8042 then no PS/2 keyboard, mouse works. No problem here as I use USB mice &&
keyboard, but it would be good idea to include this one too (Only for 2.6.22 as
this fix is merged in .23 already)
Comment 12 Marcin Kurek 2007-08-23 03:44:41 EDT
Created attachment 167811 [details]
Keyboard detection patch again ripped from SuSe 2.6.22.3-7
Comment 13 Chuck Ebbert 2007-08-23 11:28:32 EDT
Kernel with the libata patch is built:

http://koji.fedoraproject.org/koji/buildinfo?buildID=15464
Comment 14 Marcin Kurek 2007-08-24 02:30:22 EDT
OK, works just fine for me DVD is detected correctly. What about #12 ? 

Anyway cab you build a installer netboot image with this kernel ? Pegasos
require netboot/ppc32.img file for installation and if someone will build a
image with this kernel it should be possible to install F7 on pegasos using
normal installation DVD, just be boot updaterd ppc32.img from HD && USB.
Comment 15 Chuck Ebbert 2007-08-24 10:25:56 EDT
(In reply to comment #14)
> OK, works just fine for me DVD is detected correctly. What about #12 ? 
> 

It's in 2.6.22.5-67

> Anyway cab you build a installer netboot image with this kernel ? Pegasos
> require netboot/ppc32.img file for installation and if someone will build a
> image with this kernel it should be possible to install F7 on pegasos using
> normal installation DVD, just be boot updaterd ppc32.img from HD && USB.

I don't have a clue how to build installer images.

Comment 16 Christopher Brown 2007-09-17 17:18:08 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. As this appears to be
an installer bug it would be good if you could test the latest version of Fedora
8, available from:

http://fedoraproject.org/wiki/Distribution/Download

so that we can resolve as many of these issues as possible.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 17 Marcin Kurek 2007-09-17 18:33:04 EDT
The second IDE channel works just fine with current fedora 7 kernel image same
for keyboard controller at last on normal systsem usage.

I will try to download installer and see, but I guess it would be just fine too now.
Comment 18 Christopher Brown 2007-09-18 04:10:22 EDT
Hi Marcin,

Okay, thanks. I'll close but please re-open if the installer fails for you.

Cheers
Chris
Comment 19 Marcin Kurek 2007-09-23 16:07:23 EDT
OK, downloaded 7.91 DVD and I wonder does kernel from this version contains
patch from this report (Already in fc7 kernels) ? Because the problem is still
there and images/netboot/ppc32.img still does not see DVD drive same as fc7
installer from dvd :( 

BTW I can not reopen this report as I am not submiter. 
Comment 20 Christopher Brown 2007-09-24 06:38:31 EDT
Thanks for the report Marcin. I have re-opened and attached a blocker bug as
this is preventing you installing F8. Please could you attach the output from
the following commands as separate text/plain files:

# lspci -vvxxx
# dmidecode (you may need to install this
dmesg

using the Fedora 7 kernels. I can then re-assign to the relevant maintainer.
Comment 21 Chuck Ebbert 2007-09-24 15:20:38 EDT
(In reply to comment #19)
> OK, downloaded 7.91 DVD and I wonder does kernel from this version contains
> patch from this report (Already in fc7 kernels) ?

No, apparently not. Fixed now in rawhide, and reported upstream.


Note You need to log in before you can comment on or make changes to this bug.